/*  GNOME-DB Builder
 *  Copyrigth (C) 2000 Rodrigo Moya
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#if !defined(__gnomedb_builder_h__)
#  define __gnomedb_builder_h__

#include <gnome.h>
#include <gnome-db.h>
#include <bonobo.h>
#if defined(HAVE_CONFIG_H)
#  include <config.h>
#endif

BEGIN_GNOME_DECLS

/*
 * Callbacks
 */
extern void builder_about_cb         (GtkWidget *w, gpointer data);
extern void builder_activate_help_cb (GtkWidget *w, gpointer data);
extern void builder_quit_cb          (GtkWidget *w, gpointer data);

/*
 * Configuration
 */
void builder_config_save (void);

/*
 * Help system
 */
extern void builder_help_init     (void);
extern void builder_help_activate (void);

/*
 * Global variables
 */
extern GtkWidget* glb_mainwin;
extern GtkWidget* glb_notebook;

END_GNOME_DECLS

#endif