/* GNOME DB libary
 * Copyright (C) 1999 Rodrigo Moya
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __gnome_db_list_h__
#define __gnome_db_list_h__ 1

#include <gnome.h>
#include <gda.h>
#include <gda-recordset.h>

BEGIN_GNOME_DECLS

#define GNOME_DB_TYPE_LIST            (gnome_db_list_get_type())
#define GNOME_DB_LIST(obj)            GTK_CHECK_CAST(obj, gnome_db_list_get_type(), GnomeDbList)
#define GNOME_DB_LIST_CLASS(klass)    GTK_CHECK_CLASS_CAST(klass, gnome_db_list_get_type(), GnomeDbListClass)
#define GNOME_DB_IS_LIST(obj)         GTK_CHECK_TYPE(obj, gnome_db_list_get_type())
#define GNOME_DB_IS_LIST_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), GNOME_DB_TYPE_LIST))

typedef struct _GnomeDbList      GnomeDbList;
typedef struct _GnomeDbListClass GnomeDbListClass;

struct _GnomeDbList
{
  GtkVBox        vbox;

  GtkWidget*     list;
  Gda_Recordset* recset;
  gint           col;
  gint           timeout_handle;
  gint           total_rows;
};

struct _GnomeDbListClass
{
  GtkVBoxClass parent_class;

  void         (*loaded)(GnomeDbList *dblist);
  void         (*select_row)(GnomeDbList *dblist);
  void         (*add_row)(GnomeDbList *dblist, gint row);
};

guint          gnome_db_list_get_type        (void);
GtkWidget*     gnome_db_list_new             (Gda_Recordset *recset, gint pos);
void           gnome_db_list_clear           (GnomeDbList *dblist);

gint           gnome_db_list_get_row_count   (GnomeDbList *dblist);
gchar*         gnome_db_list_get_string      (GnomeDbList *dblist);
Gda_Recordset* gnome_db_list_get_recordset   (GnomeDbList *dblist);
void           gnome_db_list_set_recordset   (GnomeDbList *dblist,
                                              Gda_Recordset *recset,
                                              gint pos);

GdkPixmap*     gnome_db_list_get_pixmap      (GnomeDbList *dblist, gint row);
void           gnome_db_list_set_pixmap      (GnomeDbList *dblist,
                                              gint row,
                                              GdkPixmap *pixmap,
                                              GdkBitmap *mask);
GdkBitmap*     gnome_db_list_get_pixmap_mask (GnomeDbList *dblist, gint row);

END_GNOME_DECLS

#endif
